/*
 * SPDX-FileCopyrightText: 2022 Digital Dasein <https://digital-dasein.gitlab.io/>
 * SPDX-FileCopyrightText: 2022 Senne Van Baelen <senne@digitaldasein.org>
 * SPDX-FileCopyrightText: 2022 Gerben Peeters <gerben@digitaldasein.org>
 *
 * SPDX-License-Identifier: MIT
 */

/* ========== */
/* FONTS      */
/* ========== */

/* Roboto */

@font-face {
    font-family: 'Roboto';
    font-weight: 100;
    font-display: swap;
    src:
        local('Roboto Light'),
        local('Roboto-Light'),
        url('./fonts/roboto-light.woff2') format('woff2');
}

@font-face {
    font-family: 'Roboto';
    font-weight: 400;
    font-display: swap;
    src:
        local('Roboto'),
        local('Roboto-Regular'),
        url('./fonts/roboto-regular.woff2') format('woff2');
}

@font-face {
    font-family: 'Roboto';
    font-weight: 400;
    font-style: italic;
    font-display: swap;
    src:
        local('Roboto Italic'),
        local('Roboto-Italic'),
        url('./fonts/roboto-italic.woff2') format('woff2');
}

@font-face {
    font-family: 'Roboto';
    font-weight: 700;
    font-display: swap;
    src:
        local('Roboto Bold'),
        local('Roboto-Bold'),
        url('./fonts/roboto-bold.woff2') format('woff2');
}

@font-face {
    font-family: 'Roboto';
    font-weight: 700;
    font-style: italic;
    font-display: swap;
    src:
        local('Roboto Bold Italic'),
        local('Roboto-BoldItalic'),
        url('./fonts/roboto-bold-italic.woff2') format('woff2');
}

/* Roboto Mono */

@font-face {
    font-family: 'Roboto Mono';
    font-display: swap;
    src:
        local('Roboto Mono'),
        local('RobotoMono-Regular'),
        url('./fonts/roboto-mono-regular.woff2') format('woff2');
}
